package de.intevation.flys.artifacts.model;

import java.util.List;

import org.apache.log4j.Logger;

import org.hibernate.Session;
import org.hibernate.Query;

import de.intevation.flys.backend.SessionHolder;

import de.intevation.flys.model.Gauge;
import de.intevation.flys.model.MainValue;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class MainValuesFactory {

    private static Logger logger = Logger.getLogger(MainValuesFactory.class);

    public static List<MainValue> getMainValues(Gauge gauge) {
        Session session = SessionHolder.HOLDER.get();

        Query query = session.createQuery(
            "from MainValue where gauge=:gauge");
        query.setParameter("gauge", gauge);

        return query.list();
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
